package com.chinacreator.process.bean;

import java.util.Date;

public class SDKOrderInfo {

	//1：预订购，2：用户订购，3:营业厅订购，4：用户退订，5：营业厅退订，6：客服退订
	public static final int PRE_ORDER = 1;
	public static final int USER_ORDER = 2;
	public static final int VAC_ORDER = 3;
	public static final int USER_CANCEL_ORDER = 4;
	public static final int VAC_CANCEL_ORDER = 5;
	public static final int KF_CANCEL_ORDER = 6;
	
	public static final int CARD_ORDER = 8;
	public static final int CARD_CANCEL_ORDER = 9;
	
	private String id;
	private String cpid;
	private String productId;
	private String appid;
	private String appType;
	private String status;
	private String userid;
	private String province;
	private String area;
	private Date orderTime;
	private int orderType;
	private Date cancelTime;
	private int cancelType;
	private Date endtime;
	private Date effectiveTime;
	private String orderChannel;
	private String cancelChannel;
	private int type;
	private int syncCount;
	private int syncSucceed;
	private Date lastSyncTime;
	private int isSiLence;
	private int isExperience;
	private String videoId;
	private String videoName;
	private String videoUrl;
	private String videoTag;
	private int orderWay;
	private String sectionId;
	private String videoImage;
	private String productName;
	private int effictLenth;
	private int orderStatus;
	private String ordertimestr;
	private String canceltimestr;
	private String endtimestr;
	
	
	public String getEndtimestr() {
		return endtimestr;
	}
	public void setEndtimestr(String endtimestr) {
		this.endtimestr = endtimestr;
	}
	public String getOrdertimestr() {
		return ordertimestr;
	}
	public void setOrdertimestr(String ordertimestr) {
		this.ordertimestr = ordertimestr;
	}
	public String getCanceltimestr() {
		return canceltimestr;
	}
	public void setCanceltimestr(String canceltimestr) {
		this.canceltimestr = canceltimestr;
	}
	public int getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(int orderStatus) {
		this.orderStatus = orderStatus;
	}
	
	public int getEffictLenth() {
		return effictLenth;
	}
	public void setEffictLenth(int effictLenth) {
		this.effictLenth = effictLenth;
	}
	public String getProductName() {
		return productName;
	}
	public void setProductName(String productName) {
		this.productName = productName;
	}
	public String getCancelChannel() {
		return cancelChannel;
	}
	public void setCancelChannel(String cancelChannel) {
		this.cancelChannel = cancelChannel;
	}
	public String getVideoImage() {
		return videoImage;
	}
	public void setVideoImage(String videoImage) {
		this.videoImage = videoImage;
	}
	public String getSectionId() {
		return sectionId;
	}
	public void setSectionId(String sectionId) {
		this.sectionId = sectionId;
	}
	public int getOrderWay() {
		return orderWay;
	}
	public void setOrderWay(int orderWay) {
		this.orderWay = orderWay;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCpid() {
		return cpid;
	}
	public void setCpid(String cpid) {
		this.cpid = cpid;
	}
	public String getProductId() {
		return productId;
	}
	public void setProductId(String productId) {
		this.productId = productId;
	}
	public String getAppid() {
		return appid;
	}
	public void setAppid(String appid) {
		this.appid = appid;
	}
	public String getAppType() {
		return appType;
	}
	public void setAppType(String appType) {
		this.appType = appType;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getUserid() {
		return userid;
	}
	public void setUserid(String userid) {
		this.userid = userid;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public Date getOrderTime() {
		return orderTime;
	}
	public void setOrderTime(Date orderTime) {
		this.orderTime = orderTime;
	}
	public int getOrderType() {
		return orderType;
	}
	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}
	public Date getCancelTime() {
		return cancelTime;
	}
	public void setCancelTime(Date cancelTime) {
		this.cancelTime = cancelTime;
	}
	public int getCancelType() {
		return cancelType;
	}
	public void setCancelType(int cancelType) {
		this.cancelType = cancelType;
	}
	public Date getEndtime() {
		return endtime;
	}
	public void setEndtime(Date endtime) {
		this.endtime = endtime;
	}
	public Date getEffectiveTime() {
		return effectiveTime;
	}
	public void setEffectiveTime(Date effectiveTime) {
		this.effectiveTime = effectiveTime;
	}
	public String getOrderChannel() {
		return orderChannel;
	}
	public void setOrderChannel(String orderChannel) {
		this.orderChannel = orderChannel;
	}
	
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public int getSyncCount() {
		return syncCount;
	}
	public void setSyncCount(int syncCount) {
		this.syncCount = syncCount;
	}
	public int getSyncSucceed() {
		return syncSucceed;
	}
	public void setSyncSucceed(int syncSucceed) {
		this.syncSucceed = syncSucceed;
	}
	public Date getLastSyncTime() {
		return lastSyncTime;
	}
	public void setLastSyncTime(Date lastSyncTime) {
		this.lastSyncTime = lastSyncTime;
	}
	public int getIsSiLence() {
		return isSiLence;
	}
	public void setIsSiLence(int isSiLence) {
		this.isSiLence = isSiLence;
	}
	public int getIsExperience() {
		return isExperience;
	}
	public void setIsExperience(int isExperience) {
		this.isExperience = isExperience;
	}
	public String getVideoId() {
		return videoId;
	}
	public void setVideoId(String videoId) {
		this.videoId = videoId;
	}
	public String getVideoName() {
		return videoName;
	}
	public void setVideoName(String videoName) {
		this.videoName = videoName;
	}
	public String getVideoUrl() {
		return videoUrl;
	}
	public void setVideoUrl(String videoUrl) {
		this.videoUrl = videoUrl;
	}
	public String getVideoTag() {
		return videoTag;
	}
	public void setVideoTag(String videoTag) {
		this.videoTag = videoTag;
	}
	
	
	
}
